## ffmpeg 3.2.5

=== libavfilter/Makefile ===
include $(SUBDIR)../config.mak

NAME = avfilter

HEADERS = avfilter.h                                                    \
          avfiltergraph.h                                               \
          buffersink.h                                                  \
          buffersrc.h                                                   \
          version.h                                                     \

OBJS = allfilters.o                                                     \
       audio.o                                                          \
       avfilter.o                                                       \
       avfiltergraph.o                                                  \
       buffersink.o                                                     \
       buffersrc.o                                                      \
       drawutils.o                                                      \
       fifo.o                                                           \
       formats.o                                                        \
       framepool.o                                                      \
       graphdump.o                                                      \
       graphparser.o                                                    \
       opencl_allkernels.o                                              \
       transform.o                                                      \
       video.o                                                          \

OBJS-$(HAVE_THREADS)                         += pthread.o

# audio filters
OBJS-$(CONFIG_ABENCH_FILTER)                 += f_bench.o
OBJS-$(CONFIG_ACOMPRESSOR_FILTER)            += af_sidechaincompress.o
OBJS-$(CONFIG_ACROSSFADE_FILTER)             += af_afade.o
OBJS-$(CONFIG_ACRUSHER_FILTER)               += af_acrusher.o
OBJS-$(CONFIG_ADELAY_FILTER)                 += af_adelay.o
OBJS-$(CONFIG_AECHO_FILTER)                  += af_aecho.o
OBJS-$(CONFIG_AEMPHASIS_FILTER)              += af_aemphasis.o
OBJS-$(CONFIG_AEVAL_FILTER)                  += aeval.o
OBJS-$(CONFIG_AFADE_FILTER)                  += af_afade.o
OBJS-$(CONFIG_AFFTFILT_FILTER)               += af_afftfilt.o window_func.o
OBJS-$(CONFIG_AFORMAT_FILTER)                += af_aformat.o
OBJS-$(CONFIG_AGATE_FILTER)                  += af_agate.o
OBJS-$(CONFIG_AINTERLEAVE_FILTER)            += f_interleave.o
OBJS-$(CONFIG_ALIMITER_FILTER)               += af_alimiter.o
OBJS-$(CONFIG_ALLPASS_FILTER)                += af_biquads.o
OBJS-$(CONFIG_ALOOP_FILTER)                  += f_loop.o
OBJS-$(CONFIG_AMERGE_FILTER)                 += af_amerge.o
OBJS-$(CONFIG_AMETADATA_FILTER)              += f_metadata.o
OBJS-$(CONFIG_AMIX_FILTER)                   += af_amix.o
OBJS-$(CONFIG_ANEQUALIZER_FILTER)            += af_anequalizer.o
OBJS-$(CONFIG_ANULL_FILTER)                  += af_anull.o
OBJS-$(CONFIG_APAD_FILTER)                   += af_apad.o
OBJS-$(CONFIG_APERMS_FILTER)                 += f_perms.o
OBJS-$(CONFIG_APHASER_FILTER)                += af_aphaser.o generate_wave_table.o
OBJS-$(CONFIG_APULSATOR_FILTER)              += af_apulsator.o
OBJS-$(CONFIG_AREALTIME_FILTER)              += f_realtime.o
OBJS-$(CONFIG_ARESAMPLE_FILTER)              += af_aresample.o
OBJS-$(CONFIG_AREVERSE_FILTER)               += f_reverse.o
OBJS-$(CONFIG_ASELECT_FILTER)                += f_select.o
OBJS-$(CONFIG_ASENDCMD_FILTER)               += f_sendcmd.o
OBJS-$(CONFIG_ASETNSAMPLES_FILTER)           += af_asetnsamples.o
OBJS-$(CONFIG_ASETPTS_FILTER)                += setpts.o
OBJS-$(CONFIG_ASETRATE_FILTER)               += af_asetrate.o
OBJS-$(CONFIG_ASETTB_FILTER)                 += settb.o
OBJS-$(CONFIG_ASHOWINFO_FILTER)              += af_ashowinfo.o
OBJS-$(CONFIG_ASIDEDATA_FILTER)              += f_sidedata.o
OBJS-$(CONFIG_ASPLIT_FILTER)                 += split.o
OBJS-$(CONFIG_ASTATS_FILTER)                 += af_astats.o
OBJS-$(CONFIG_ASTREAMSELECT_FILTER)          += f_streamselect.o
OBJS-$(CONFIG_ASYNCTS_FILTER)                += af_asyncts.o
OBJS-$(CONFIG_ATEMPO_FILTER)                 += af_atempo.o
OBJS-$(CONFIG_ATRIM_FILTER)                  += trim.o
OBJS-$(CONFIG_AZMQ_FILTER)                   += f_zmq.o
OBJS-$(CONFIG_BANDPASS_FILTER)               += af_biquads.o
OBJS-$(CONFIG_BANDREJECT_FILTER)             += af_biquads.o
OBJS-$(CONFIG_BASS_FILTER)                   += af_biquads.o
OBJS-$(CONFIG_BIQUAD_FILTER)                 += af_biquads.o
OBJS-$(CONFIG_BS2B_FILTER)                   += af_bs2b.o
OBJS-$(CONFIG_CHANNELMAP_FILTER)             += af_channelmap.o
OBJS-$(CONFIG_CHANNELSPLIT_FILTER)           += af_channelsplit.o
OBJS-$(CONFIG_CHORUS_FILTER)                 += af_chorus.o generate_wave_table.o
OBJS-$(CONFIG_COMPAND_FILTER)                += af_compand.o
OBJS-$(CONFIG_COMPENSATIONDELAY_FILTER)      += af_compensationdelay.o
OBJS-$(CONFIG_CRYSTALIZER_FILTER)            += af_crystalizer.o
OBJS-$(CONFIG_DCSHIFT_FILTER)                += af_dcshift.o
OBJS-$(CONFIG_DYNAUDNORM_FILTER)             += af_dynaudnorm.o
OBJS-$(CONFIG_EARWAX_FILTER)                 += af_earwax.o
OBJS-$(CONFIG_EBUR128_FILTER)                += f_ebur128.o
OBJS-$(CONFIG_EQUALIZER_FILTER)              += af_biquads.o
OBJS-$(CONFIG_EXTRASTEREO_FILTER)            += af_extrastereo.o
OBJS-$(CONFIG_FIREQUALIZER_FILTER)           += af_firequalizer.o
OBJS-$(CONFIG_FLANGER_FILTER)                += af_flanger.o generate_wave_table.o
OBJS-$(CONFIG_HDCD_FILTER)                   += af_hdcd.o
OBJS-$(CONFIG_HIGHPASS_FILTER)               += af_biquads.o
OBJS-$(CONFIG_JOIN_FILTER)                   += af_join.o
OBJS-$(CONFIG_LADSPA_FILTER)                 += af_ladspa.o
OBJS-$(CONFIG_LOUDNORM_FILTER)               += af_loudnorm.o
OBJS-$(CONFIG_LOWPASS_FILTER)                += af_biquads.o
OBJS-$(CONFIG_PAN_FILTER)                    += af_pan.o
OBJS-$(CONFIG_REPLAYGAIN_FILTER)             += af_replaygain.o
OBJS-$(CONFIG_RESAMPLE_FILTER)               += af_resample.o
OBJS-$(CONFIG_RUBBERBAND_FILTER)             += af_rubberband.o
OBJS-$(CONFIG_SIDECHAINCOMPRESS_FILTER)      += af_sidechaincompress.o
OBJS-$(CONFIG_SIDECHAINGATE_FILTER)          += af_agate.o
OBJS-$(CONFIG_SILENCEDETECT_FILTER)          += af_silencedetect.o
OBJS-$(CONFIG_SILENCEREMOVE_FILTER)          += af_silenceremove.o
OBJS-$(CONFIG_SOFALIZER_FILTER)              += af_sofalizer.o
OBJS-$(CONFIG_STEREOTOOLS_FILTER)            += af_stereotools.o
OBJS-$(CONFIG_STEREOWIDEN_FILTER)            += af_stereowiden.o
OBJS-$(CONFIG_TREBLE_FILTER)                 += af_biquads.o
OBJS-$(CONFIG_TREMOLO_FILTER)                += af_tremolo.o
OBJS-$(CONFIG_VIBRATO_FILTER)                += af_vibrato.o generate_wave_table.o
OBJS-$(CONFIG_VOLUME_FILTER)                 += af_volume.o
OBJS-$(CONFIG_VOLUMEDETECT_FILTER)           += af_volumedetect.o

OBJS-$(CONFIG_AEVALSRC_FILTER)               += aeval.o
OBJS-$(CONFIG_ANOISESRC_FILTER)              += asrc_anoisesrc.o
OBJS-$(CONFIG_ANULLSRC_FILTER)               += asrc_anullsrc.o
OBJS-$(CONFIG_FLITE_FILTER)                  += asrc_flite.o
OBJS-$(CONFIG_SINE_FILTER)                   += asrc_sine.o

OBJS-$(CONFIG_ANULLSINK_FILTER)              += asink_anullsink.o

# video filters
OBJS-$(CONFIG_ALPHAEXTRACT_FILTER)           += vf_extractplanes.o
OBJS-$(CONFIG_ALPHAMERGE_FILTER)             += vf_alphamerge.o
OBJS-$(CONFIG_ASS_FILTER)                    += vf_subtitles.o
OBJS-$(CONFIG_ATADENOISE_FILTER)             += vf_atadenoise.o
OBJS-$(CONFIG_AVGBLUR_FILTER)                += vf_avgblur.o
OBJS-$(CONFIG_BBOX_FILTER)                   += bbox.o vf_bbox.o
OBJS-$(CONFIG_BENCH_FILTER)                  += f_bench.o
OBJS-$(CONFIG_BITPLANENOISE_FILTER)          += vf_bitplanenoise.o
OBJS-$(CONFIG_BLACKDETECT_FILTER)            += vf_blackdetect.o
OBJS-$(CONFIG_BLACKFRAME_FILTER)             += vf_blackframe.o
OBJS-$(CONFIG_BLEND_FILTER)                  += vf_blend.o dualinput.o framesync.o
OBJS-$(CONFIG_BOXBLUR_FILTER)                += vf_boxblur.o
OBJS-$(CONFIG_BWDIF_FILTER)                  += vf_bwdif.o
OBJS-$(CONFIG_CHROMAKEY_FILTER)              += vf_chromakey.o
OBJS-$(CONFIG_CIESCOPE_FILTER)               += vf_ciescope.o
OBJS-$(CONFIG_CODECVIEW_FILTER)              += vf_codecview.o
OBJS-$(CONFIG_COLORBALANCE_FILTER)           += vf_colorbalance.o
OBJS-$(CONFIG_COLORCHANNELMIXER_FILTER)      += vf_colorchannelmixer.o
OBJS-$(CONFIG_COLORKEY_FILTER)               += vf_colorkey.o
OBJS-$(CONFIG_COLORLEVELS_FILTER)            += vf_colorlevels.o
OBJS-$(CONFIG_COLORMATRIX_FILTER)            += vf_colormatrix.o
OBJS-$(CONFIG_COLORSPACE_FILTER)             += vf_colorspace.o colorspacedsp.o
OBJS-$(CONFIG_CONVOLUTION_FILTER)            += vf_convolution.o
OBJS-$(CONFIG_COPY_FILTER)                   += vf_copy.o
OBJS-$(CONFIG_COREIMAGE_FILTER)              += vf_coreimage.o
OBJS-$(CONFIG_COVER_RECT_FILTER)             += vf_cover_rect.o lavfutils.o
OBJS-$(CONFIG_CROP_FILTER)                   += vf_crop.o
OBJS-$(CONFIG_CROPDETECT_FILTER)             += vf_cropdetect.o
OBJS-$(CONFIG_CURVES_FILTER)                 += vf_curves.o
OBJS-$(CONFIG_DATASCOPE_FILTER)              += vf_datascope.o
OBJS-$(CONFIG_DCTDNOIZ_FILTER)               += vf_dctdnoiz.o
OBJS-$(CONFIG_DEBAND_FILTER)                 += vf_deband.o
OBJS-$(CONFIG_DECIMATE_FILTER)               += vf_decimate.o
OBJS-$(CONFIG_DEFLATE_FILTER)                += vf_neighbor.o
OBJS-$(CONFIG_DEJUDDER_FILTER)               += vf_dejudder.o
OBJS-$(CONFIG_DELOGO_FILTER)                 += vf_delogo.o
OBJS-$(CONFIG_DESHAKE_FILTER)                += vf_deshake.o
OBJS-$(CONFIG_DETELECINE_FILTER)             += vf_detelecine.o
OBJS-$(CONFIG_DILATION_FILTER)               += vf_neighbor.o
OBJS-$(CONFIG_DISPLACE_FILTER)               += vf_displace.o framesync.o
OBJS-$(CONFIG_DRAWBOX_FILTER)                += vf_drawbox.o
OBJS-$(CONFIG_DRAWGRAPH_FILTER)              += f_drawgraph.o
OBJS-$(CONFIG_DRAWGRID_FILTER)               += vf_drawbox.o
OBJS-$(CONFIG_DRAWTEXT_FILTER)               += vf_drawtext.o
OBJS-$(CONFIG_EDGEDETECT_FILTER)             += vf_edgedetect.o
OBJS-$(CONFIG_ELBG_FILTER)                   += vf_elbg.o
OBJS-$(CONFIG_EQ_FILTER)                     += vf_eq.o
OBJS-$(CONFIG_EROSION_FILTER)                += vf_neighbor.o
OBJS-$(CONFIG_EXTRACTPLANES_FILTER)          += vf_extractplanes.o
OBJS-$(CONFIG_FADE_FILTER)                   += vf_fade.o
OBJS-$(CONFIG_FFTFILT_FILTER)                += vf_fftfilt.o
OBJS-$(CONFIG_FIELD_FILTER)                  += vf_field.o
OBJS-$(CONFIG_FIELDHINT_FILTER)              += vf_fieldhint.o
OBJS-$(CONFIG_FIELDMATCH_FILTER)             += vf_fieldmatch.o
OBJS-$(CONFIG_FIELDORDER_FILTER)             += vf_fieldorder.o
OBJS-$(CONFIG_FIND_RECT_FILTER)              += vf_find_rect.o lavfutils.o
OBJS-$(CONFIG_FORMAT_FILTER)                 += vf_format.o
OBJS-$(CONFIG_FPS_FILTER)                    += vf_fps.o
OBJS-$(CONFIG_FRAMEPACK_FILTER)              += vf_framepack.o
OBJS-$(CONFIG_FRAMERATE_FILTER)              += vf_framerate.o
OBJS-$(CONFIG_FRAMESTEP_FILTER)              += vf_framestep.o
OBJS-$(CONFIG_FREI0R_FILTER)                 += vf_frei0r.o
OBJS-$(CONFIG_FSPP_FILTER)                   += vf_fspp.o
OBJS-$(CONFIG_GBLUR_FILTER)                  += vf_gblur.o
OBJS-$(CONFIG_GEQ_FILTER)                    += vf_geq.o
OBJS-$(CONFIG_GRADFUN_FILTER)                += vf_gradfun.o
OBJS-$(CONFIG_HALDCLUT_FILTER)               += vf_lut3d.o dualinput.o framesync.o
OBJS-$(CONFIG_HFLIP_FILTER)                  += vf_hflip.o
OBJS-$(CONFIG_HISTEQ_FILTER)                 += vf_histeq.o
OBJS-$(CONFIG_HISTOGRAM_FILTER)              += vf_histogram.o
OBJS-$(CONFIG_HQDN3D_FILTER)                 += vf_hqdn3d.o
OBJS-$(CONFIG_HQX_FILTER)                    += vf_hqx.o
OBJS-$(CONFIG_HSTACK_FILTER)                 += vf_stack.o framesync.o
OBJS-$(CONFIG_HUE_FILTER)                    += vf_hue.o

=== libavcodec/aarch64/Makefile ===
# subsystems
OBJS-$(CONFIG_FFT)                      += aarch64/fft_init_aarch64.o
OBJS-$(CONFIG_FMTCONVERT)               += aarch64/fmtconvert_init.o
OBJS-$(CONFIG_H264CHROMA)               += aarch64/h264chroma_init_aarch64.o
OBJS-$(CONFIG_H264DSP)                  += aarch64/h264dsp_init_aarch64.o
OBJS-$(CONFIG_H264PRED)                 += aarch64/h264pred_init.o
OBJS-$(CONFIG_H264QPEL)                 += aarch64/h264qpel_init_aarch64.o
OBJS-$(CONFIG_HPELDSP)                  += aarch64/hpeldsp_init_aarch64.o
OBJS-$(CONFIG_IMDCT15)                  += aarch64/imdct15_init.o
OBJS-$(CONFIG_MPEGAUDIODSP)             += aarch64/mpegaudiodsp_init.o
OBJS-$(CONFIG_NEON_CLOBBER_TEST)        += aarch64/neontest.o
OBJS-$(CONFIG_VIDEODSP)                 += aarch64/videodsp_init.o

# decoders/encoders
OBJS-$(CONFIG_DCA_DECODER)              += aarch64/synth_filter_init.o
OBJS-$(CONFIG_RV40_DECODER)             += aarch64/rv40dsp_init_aarch64.o
OBJS-$(CONFIG_VC1DSP)                   += aarch64/vc1dsp_init_aarch64.o
OBJS-$(CONFIG_VORBIS_DECODER)           += aarch64/vorbisdsp_init.o

# ARMv8 optimizations

# subsystems
ARMV8-OBJS-$(CONFIG_VIDEODSP)           += aarch64/videodsp.o

# NEON optimizations

# subsystems
NEON-OBJS-$(CONFIG_FFT)                 += aarch64/fft_neon.o
NEON-OBJS-$(CONFIG_FMTCONVERT)          += aarch64/fmtconvert_neon.o
NEON-OBJS-$(CONFIG_H264CHROMA)          += aarch64/h264cmc_neon.o
NEON-OBJS-$(CONFIG_H264DSP)             += aarch64/h264dsp_neon.o              \
                                           aarch64/h264idct_neon.o
NEON-OBJS-$(CONFIG_H264PRED)            += aarch64/h264pred_neon.o
NEON-OBJS-$(CONFIG_H264QPEL)            += aarch64/h264qpel_neon.o             \
                                           aarch64/hpeldsp_neon.o
NEON-OBJS-$(CONFIG_HPELDSP)             += aarch64/hpeldsp_neon.o
NEON-OBJS-$(CONFIG_IMDCT15)             += aarch64/imdct15_neon.o
NEON-OBJS-$(CONFIG_MDCT)                += aarch64/mdct_neon.o
NEON-OBJS-$(CONFIG_MPEGAUDIODSP)        += aarch64/mpegaudiodsp_neon.o

# decoders/encoders
NEON-OBJS-$(CONFIG_DCA_DECODER)         += aarch64/synth_filter_neon.o
NEON-OBJS-$(CONFIG_VORBIS_DECODER)      += aarch64/vorbisdsp_neon.o

=== debian/changelog ===
ffmpeg (7:3.2.5-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Build-depend on yasm to work around nasm issues in jessie
  * Disable building with libebur128 because jessie's version breaks the
    build
  * Build-depend on libchromaprint-dev from jessie-backports
  * Disable OCR with Tesseract because it is missing the pkg-config file on
    jessie
  * Omit -fstack-protector-strong from used CFLAGs, FFmpeg already sets
    -fstack-protector-all
  * Use GCC 4.8 on i386 instead of disabling PIE
  * Fix FTBFS on i386 due to PIC/PIE incompatible ASM
  * Revert switch from libmodplug to libopenmpt because libopenmpt is not
    available in jessie-backports yet

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 31 May 2017 23:36:34 +0200

ffmpeg (7:3.2.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 22 May 2017 22:03:36 +0200

=== debian/control ===
Source: ffmpeg
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>,
 Alexander Strasser <eclipse7@gmx.net>,
 Reinhard Tartler <siretart@tauware.de>,
 Balint Reczey <balint@balintreczey.hu>
Homepage: https://ffmpeg.org/
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/ffmpeg.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/ffmpeg.git
Build-Depends-Indep:
# needed to minify the CSS files
 cleancss,
# Autogenerated documentation
 doxygen,
# needed to create the CSS files for the HTML manuals
 node-less
Build-Depends:
# needed for dh
 debhelper (>= 10),
# for build-profile support
 dpkg-dev (>= 1.17.14),
# --enable-libflite
 flite1-dev,
# --enable-frei0r
 frei0r-plugins-dev <!stage1>,
# GCC 4.9 breaks the build with PIE enabled on i386
 gcc-4.8 [i386],
 g++-4.8 [i386],
# --enable-ladspa
 ladspa-sdk,
# --enable-libass
 libass-dev,
# --enable-libbluray
 libbluray-dev,
# --enable-libbs2b
 libbs2b-dev,
# autodetected: external library 'bzlib'
 libbz2-dev,
# --enable-libcaca
 libcaca-dev,
# --enable-libcdio
 libcdio-paranoia-dev,
# --enable-libchromaprint
 libchromaprint-dev (>= 1.3.2-2~) <!stage1>,
# autodetected 'crystalhd'
 libcrystalhd-dev [amd64 i386],
# --enable-libdc1394
 libdc1394-22-dev [linux-any],
# --enable-libebur128
# libebur128-dev,
# --enable-libfontconfig
 libfontconfig1-dev,
# --enable-libfreetype
 libfreetype6-dev,
# --enable-fribidi
 libfribidi-dev,
# --enable-opengl
 libgl1-mesa-dev,
# --enable-libgme
 libgme-dev,
# --enable-gnutls
 libgnutls28-dev | libgnutls-dev,
# --enable-libgsm
 libgsm1-dev,
# Fails to be detected by configure script, if not also libavc1394-dev is installed.
# --enable-libiec61883
 libiec61883-dev [linux-any],
 libavc1394-dev [linux-any],
# autodetected: indev 'jack'
 libjack-jackd2-dev,
# missing dependency of libtesseract-dev #836849
 libleptonica-dev,
# autodetected for the tiff decoder
 liblzma-dev,
# --enable-libmodplug
 libmodplug-dev,
# --enable-libmp3lame
 libmp3lame-dev,
# --enable-netcdf
 libnetcdf-dev [!powerpcspe],
# --enable-openal
 libopenal-dev,
# --enable-omx
 libomxil-bellagio-dev,
# --enable-libopencore_amrnb
 libopencore-amrnb-dev,
# --enable-libopencore_amrwb
 libopencore-amrwb-dev,
# --enable-libopencv
 libopencv-imgproc-dev <!stage1>,
# --enable-libopenjpeg
 libopenjp2-7-dev,
# --enable-libopus
 libopus-dev,
# --enable-libpulse
 libpulse-dev,
# --enable-librubberband
 librubberband-dev,
# autodetected: protocol 'sctp'
 libsctp-dev [linux-any],
# --enable-sdl2
 libsdl2-dev,
# --enable-libshine
 libshine-dev (>= 3.0.0),
# --enable-libsnappy
 libsnappy-dev,
# --enable-libsoxr
 libsoxr-dev,
# --enable-libspeex
 libspeex-dev,
# --enable-libssh
 libssh-gcrypt-dev,
# --enable-libtesseract (used only in -extra flavor)
 libtesseract-dev,
# --enable-libtheora
 libtheora-dev,
# --enable-libtwolame
 libtwolame-dev,
# This is not necessary, see explanation in debian/rules.
# # --enable-libv4l2
# libv4l-dev [!hurd-any],
# autodetected: hwaccels 'h263_vaapi, mpeg2_vaapi, vc1_vaapi, h264_vaapi, mpeg4_vaapi, wmv3_vaapi'
 libva-dev [!hurd-any],
# autodetected: hwaccels 'h263_vdpau, mpeg2_vdpau, vc1_vdpau, h264_vdpau, mpeg4_vdpau, wmv3_vdpau, mpeg1_vdpau', decoders 'h264_vdpau, mpeg1_vdpau, mpeg4_vdpau, mpeg_vdpau, vc1_vdpau, wmv3_vdpau'
 libvdpau-dev,
# --enable-libvo_amrwbenc
 libvo-amrwbenc-dev,
# --enable-libvorbis
 libvorbis-dev,
# --enable-libvpx
 libvpx-dev,
# --enable-libwavpack
 libwavpack-dev,
# --enable-libwebp
 libwebp-dev,
# --enable-libx264
 libx264-dev <!stage1>,
# --enable-libx265
 libx265-dev (>= 1.8),
# autodetected libxcb-shape
 libxcb-shape0-dev,
# autodetected libxcb-shm
 libxcb-shm0-dev,
# autodetected libxcb-xfixes
 libxcb-xfixes0-dev,
# autodetected xlib
 libxv-dev,
# --enable-libxvid
 libxvidcore-dev,
# autodetected: decoder 'mpeg_xvmc'; outdev 'xv'
 libxvmc-dev,
# --enable-libzmq
 libzmq3-dev,
# --enable-libzvbi
 libzvbi-dev,
# The opencl API is considered experimental.
# # --enable-opencl
# ocl-icd-opencl-dev [!hurd-any] | opencl-dev [!hurd-any],
# used to detect libraries
 pkg-config,
# HTML documentation
 texinfo,
# assembler optimizations
 yasm,
# autodetected zlib
 zlib1g-dev

Package: ffmpeg
Architecture: any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Suggests:
 ffmpeg-doc
Breaks: libav-tools (<< 6:12~~),
 qt-faststart (<< 7:2.7.1-3~)
Replaces: libav-tools (<< 6:12~~),
 qt-faststart (<< 7:2.7.1-3~)
Description: Tools for transcoding, streaming and playing of multimedia files
 FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
 mux, demux, stream, filter and play pretty much anything that humans and
 machines have created. It supports the most obscure ancient formats up to the
 cutting edge.
 .
 This package contains:
  * ffmpeg: a command line tool to convert multimedia files between formats
  * ffserver: a multimedia streaming server for live broadcasts
  * ffplay: a simple media player based on SDL and the FFmpeg libraries
  * ffprobe: a simple multimedia stream analyzer
  * qt-faststart: a utility to rearrange Quicktime files

Package: ffmpeg-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 libjs-jquery,
 libjs-bootstrap,
 ${misc:Depends}
Description: Documentation of the FFmpeg multimedia framework
 FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
 mux, demux, stream, filter and play pretty much anything that humans and
 machines have created. It supports the most obscure ancient formats up to the
 cutting edge.
 .
 This package contains the HTML documentation for the FFmpeg multimedia
 framework including the API documentation created by doxygen and the manpages
 for the libraries.

Package: libavcodec57
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: FFmpeg library with de/encoders for audio/video codecs - runtime files
 FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
 mux, demux, stream, filter and play pretty much anything that humans and
 machines have created. It supports the most obscure ancient formats up to the
 cutting edge.
 .
 This library provides a generic encoding/decoding framework and
 contains multiple decoders and encoders for audio, video and subtitle streams,
 and several bitstream filters.
 .
 The shared architecture provides various services ranging from bit stream I/O
 to DSP optimizations, and makes it suitable for implementing robust and fast
 codecs as well as for experimentation.
 .
 This package contains the runtime files.

Package: libavcodec-extra57
Architecture: any
Section: libs
Priority: extra
Multi-Arch: same
Conflicts: libavcodec57
Provides: libavcodec-extra
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: FFmpeg library with additional de/encoders for audio/video codecs
 FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
 mux, demux, stream, filter and play pretty much anything that humans and
 machines have created. It supports the most obscure ancient formats up to the
 cutting edge.
 .
 This library provides a generic encoding/decoding framework and
 contains multiple decoders and encoders for audio, video and subtitle streams,
 and several bitstream filters.
 .
 The shared architecture provides various services ranging from bit stream I/O
 to DSP optimizations, and makes it suitable for implementing robust and fast
 codecs as well as for experimentation.
 .
 This package replaces the libavcodec57 package and contains the
 following additional codecs:
 .
  * OpenCORE Adaptive Multi-Rate (AMR) Narrow-Band (Encoder/Decoder)
  * OpenCORE Adaptive Multi-Rate (AMR) Wide-Band (Decoder)
  * Android VisualOn Adaptive Multi-Rate (AMR) Wide-Band (Encoder)
 .
 Because this package links against libraries that are licensed under
 Apache License 2.0, the resulting binaries are distributed under the
 GPL version 3 or later.

Package: libavcodec-extra
Architecture: all
Section: metapackages
Priority: extra
Multi-Arch: foreign
Depends:
 libavcodec-extra57,
 ${misc:Depends}
Description: FFmpeg library with extra codecs (metapackage)
 FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
 mux, demux, stream, filter and play pretty much anything that humans and
 machines have created. It supports the most obscure ancient formats up to the
 cutting edge.
 .
 This metapackage depends on the latest version of the libavcodec variant
 that offers additional codec support. Application packages can depend
 on it if they require or suggest this variant in a robust manner.


Package: libavcodec-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 libavcodec57 (= ${binary:Version}) | libavcodec-extra57 (= ${binary:Version}),
 libavutil-dev (= ${binary:Version}),
 libswresample-dev (= ${binary:Version}),
 ${misc:Depends}
Description: FFmpeg library with de/encoders for audio/video codecs - development files
 FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
 mux, demux, stream, filter and play pretty much anything that humans and
 machines have created. It supports the most obscure ancient formats up to the
 cutting edge.
 .
 This library provides a generic encoding/decoding framework and
 contains multiple decoders and encoders for audio, video and subtitle streams,
 and several bitstream filters.
 .
 The shared architecture provides various services ranging from bit stream I/O
 to DSP optimizations, and makes it suitable for implementing robust and fast
 codecs as well as for experimentation.
 .
 This package contains the development files.

Package: libavdevice57
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: FFmpeg library for handling input and output devices - runtime files
 FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
 mux, demux, stream, filter and play pretty much anything that humans and
 machines have created. It supports the most obscure ancient formats up to the
 cutting edge.
 .
 This library provides a generic framework for grabbing from and rendering to
 many common multimedia input/output devices, and supports several input and
 output devices, including Video4Linux2, VfW, DShow, and ALSA.
 .
 This package contains the runtime files.

Package: libavdevice-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 libavcodec-dev (= ${binary:Version}),
 libavdevice57 (= ${binary:Version}),
 libavfilter-dev (= ${binary:Version}),
 libavformat-dev (= ${binary:Version}),
 libavresample-dev (= ${binary:Version}),
 libavutil-dev (= ${binary:Version}),
 libpostproc-dev (= ${binary:Version}),
 libswscale-dev (= ${binary:Version}),
 libswresample-dev (= ${binary:Version}),
 ${misc:Depends}
Description: FFmpeg library for handling input and output devices - development files
 FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
 mux, demux, stream, filter and play pretty much anything that humans and
 machines have created. It supports the most obscure ancient formats up to the
 cutting edge.
 .
 This library provides a generic framework for grabbing from and rendering to
 many common multimedia input/output devices, and supports several input and
 output devices, including Video4Linux2, VfW, DShow, and ALSA.
 .
 This package contains the development files.

Package: libavfilter6
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: FFmpeg library containing media filters - runtime files
 FFmpeg is the leading multimedia framework, able to decode, encode, transcode,

=== debian/rules ===
#!/usr/bin/make -f

export V=1

# sets DEBIAN_VERSION variable
include /usr/share/dpkg/pkg-info.mk

# Get the Debian version revision:
DEB_REVISION := $(word 2, $(subst -, ,$(DEB_VERSION)))

# sets DEB_HOST_* variables
include /usr/share/dpkg/architecture.mk

# Ubuntu ld adds -Bsymbolic-functions by default, but that prevents FFmpeg from building.
export DEB_LDFLAGS_MAINT_STRIP=-Wl,-Bsymbolic-functions

# Hardened toolchain already adds -fstack-protector-all and -fstack-protector-strong is not supported by Jessie's gcc-4.8
export DEB_CFLAGS_MAINT_STRIP=-fstack-protector-strong

# Package name for the extra flavor.
EXTRA_PKGS := $(shell sed -nr 's/^Package:[[:space:]]*(.*extra[0-9]+)[[:space:]]*$$/\1/p' debian/control)
FLAVORS = standard extra static

# Enable as many features as possible, as long as the result is still GPLv2+ (a GPLv3+ variant is built as libavcodec-extra/libavfilter-extra flavor).
# The following flags (and build-dependencies) are not added, because they would require a libavformat-extra flavor:
#   --enable-libsmbclient           (libsmbclient-dev [!hurd-i386 !m68k !sparc64])
# The following flags are not added, because the necessary libraries are not in Debian:
#   --enable-decklink
#   --enable-libcelt                (see #676592: removed from Debian as abandoned upstream, replaced by opus)
#   --enable-libdcadec
#   --enable-libilbc                (see #675959 for the RFP bug)
#   --enable-libkvazaar
#   --enable-libmfx
#   --enable-libnut
#   --enable-libopenh264
#   --enable-libopenmpt
#   --enable-libschroedinger        (see #845037: removal due to security issues)
#   --enable-libutvideo
#   --enable-libvidstab             (see #709193 for the RFP bug)
#   --enable-libxavs
#   --enable-libzimg
# The following flags are not added for various reasons:
#   * --enable-librtmp:             ffmpeg has better built-in RTMP support with listen mode.
#   * --enable-libv4l2 [!hurd-any]: This is only needed for very old devices and may cause problems for others.
#                                   Should anyone need it, using LD_PRELOAD pointing on libv4l2 has the same effect.
#   * --enable-opencl [!hurd-any]:  This is considered an experimental API.
CONFIG := --prefix=/usr \
	--extra-version="$(DEB_REVISION)" \
	--toolchain=hardened \
	--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
	--incdir=/usr/include/$(DEB_HOST_MULTIARCH) \
	--enable-gpl \
	--disable-stripping \
	--enable-avresample \
	--enable-avisynth \
	--enable-gnutls \
	--enable-ladspa \
	--enable-libass \
	--enable-libbluray \
	--enable-libbs2b \
	--enable-libcaca \
	--enable-libcdio \
	--disable-libebur128 \
	--enable-libflite \
	--enable-libfontconfig \
	--enable-libfreetype \
	--enable-libfribidi \
	--enable-libgme \
	--enable-libgsm \
	--enable-libmodplug \
	--enable-libmp3lame \
	--enable-libopenjpeg \
	--enable-libopus \
	--enable-libpulse \
	--enable-librubberband \
	--enable-libshine \
	--enable-libsnappy \
	--enable-libsoxr \
	--enable-libspeex \
	--enable-libssh \
	--enable-libtheora \
	--enable-libtwolame \
	--enable-libvorbis \
	--enable-libvpx \
	--enable-libwavpack \
	--enable-libwebp \
	--enable-libx265 \
	--enable-libxvid \
	--enable-libzmq \
	--enable-libzvbi \
	--enable-omx \
	--enable-openal \
	--enable-opengl \
	--enable-sdl2

# The standard configuration only uses the shared CONFIG.
CONFIG_standard = --enable-shared

# With these enabled, resulting binaries are effectively licensed as GPLv3+.
CONFIG_extra = --enable-shared \
	--enable-version3 \
	--disable-doc \
	--disable-programs \
	--enable-libopencore_amrnb \
	--enable-libopencore_amrwb \
	--disable-libtesseract \
	--enable-libvo_amrwbenc

# The static libraries should not be built with PIC.
CONFIG_static = --disable-pic \
	--disable-doc \
	--disable-programs

# Disable optimizations if requested.
ifneq (,$(filter $(DEB_BUILD_OPTIONS),noopt))
	CONFIG += --disable-optimizations
endif

# Compilation with PIE fails on i386 due to some ASM code with GCC 4.9
ifneq (,$(filter $(DEB_HOST_ARCH),i386))
	CC := gcc-4.8
	CXX := g++-4.8
endif

# Respect CC/CXX from the environment, if they differ from the default.
# Don't set them if they equal the default, because that disables autodetection needed for cross-building.
ifneq ($(CC),cc)
	CONFIG += --cc=$(CC)
endif
ifneq ($(CXX),g++)
	CONFIG += --cxx=$(CXX)
endif

# Some libraries are built only on linux.
ifeq ($(DEB_HOST_ARCH_OS),linux)
	CONFIG += --enable-libdc1394 \
		--enable-libiec61883
endif

# Some build-dependencies are not installable on some architectures.
ifeq (,$(filter $(DEB_HOST_ARCH),powerpcspe))
	CONFIG_extra += --enable-netcdf
endif

# ffmpeg is involed in build-dependency cycles with opencv, x264 and chromaprint, so disable them in stage one.
# Also disable frei0r, which build-depends on opencv.
ifneq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
	CONFIG += --disable-frei0r \
		--disable-chromaprint \
		--disable-libopencv \
		--disable-libx264
else
	CONFIG += --enable-chromaprint \
		--enable-frei0r \
		--enable-libopencv \
		--enable-libx264
endif

# Disable altivec optimizations on powerpc, because they are not always available on this architecture.
ifeq ($(DEB_HOST_ARCH),powerpc)
	CONFIG += --disable-altivec
	# Build an altivec flavor of the libraries on powerpc.
	# This works around the problem that runtime cpu detection on powerpc currently does not work,
	# because, if altivec is enabled, all files are build with '-maltivec' so that the compiler inserts altivec instructions, wherever it likes.
	CONFIG_altivec = --enable-shared \
		--enable-altivec \
		--disable-doc \
		--disable-programs
	CONFIG_altivec-extra = $(CONFIG_altivec) $(CONFIG_extra)
	FLAVORS += altivec altivec-extra
endif

# Disable assembly optimizations on x32, because they don't work (yet).
ifneq (,$(filter $(DEB_HOST_ARCH),x32))
	CONFIG += --disable-asm
endif

# Disable optimizations on mips(el) and some on mips64(el), because they are not always available on these architectures.
ifneq (,$(filter $(DEB_HOST_ARCH),mips mipsel mips64 mips64el))
	CONFIG += --disable-mipsdsp \
		--disable-mipsdspr2 \
		--disable-loongson3 \
		--disable-mips32r6 \
		--disable-mips64r6
endif
ifneq (,$(filter $(DEB_HOST_ARCH),mips mipsel))
	CONFIG += --disable-mipsfpu
endif

# Set cross-build prefix for compiler, pkg-config...
# Cross-building also requires to manually set architecture/OS.
ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	CONFIG += --cross-prefix=$(DEB_HOST_GNU_TYPE)- \
		--arch=$(DEB_HOST_ARCH) \
		--target-os=$(DEB_HOST_ARCH_OS)
endif

# Use the default debhelper scripts, where possible.
%:
	dh $@

# Add configuration options:
override_dh_auto_configure:
	$(foreach flavor,$(FLAVORS),mkdir -p debian/$(flavor);)
	$(foreach flavor,$(FLAVORS),set -e; echo " *** $(flavor) ***"; cd debian/$(flavor); ../../configure $(CONFIG) $(CONFIG_$(flavor)) || (cat config.log && exit 1); cd ../.. ;)
	touch override_dh_auto_configure

# Remove the subdirectories generated for the flavors.
override_dh_auto_clean:
	$(foreach flavor,$(FLAVORS),[ ! -d debian/$(flavor) ] || rm -r debian/$(flavor);)

# Create doxygen documentation:
override_dh_auto_build-indep:
	dh_auto_build -i --sourcedirectory=debian/standard -- apidoc
	# Create the minified CSS files.
	lessc debian/missing-sources/ffmpeg-web/src/less/style.less | cleancss > debian/standard/doc/style.min.css
	rm override_dh_auto_configure

override_dh_auto_build-arch:
	# Copy built object files to avoid building them again for the extra flavor.
	# Build qt-faststart here, to make it possible to build with 'nocheck'.
	set -e && for flavor in $(FLAVORS); do \
		echo " *** $$flavor ***"; \
		if echo "$$flavor" | grep -q "extra"; then \
			subdir=`[ "$$flavor" = "extra" ] && echo "debian/standard/" || echo "debian/altivec/"`; \
			for dir in `cd ./$$subdir; find libavcodec libavdevice libavfilter libavformat libavresample libavutil libpostproc libswscale libswresample -type d`; do \
				mkdir -p debian/"$$flavor"/"$$dir"; \

## ffmpeg 3.2.7

=== debian/changelog ===
ffmpeg (7:3.2.7-1~deb9u1) stretch-security; urgency=high

  * New upstream release.
    - apadec: Fix integer overflow. (CVE-2016-11399)
    - rtmppkt: Fix out-of-bound access. (CVE-2017-11665)
    - dnxhddec: Fix out-of-bound access. (CVE-2017-11719)
    - dnxhd_parser: Fix NULL pointer access. (CVE-2017-9608)
    - hls, avidec: Check file extensions. (CVE-2017-9993)

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 28 Aug 2017 13:08:57 +0200

## ffmpeg 3.2.8

=== debian/changelog ===
ffmpeg (7:3.2.8-1~deb9u1) stretch-security; urgency=high

  * New upstream release.
    - avformat/rmdec: Fix DoS due to lack of eof check. (CVE-2017-14054)
    - avformat/mvdec: Fix DoS due to lack of eof check. (CVE-2017-14055)
    - avformat/rl2: Fix DoS due to lack of eof check. (CVE-2017-14056)
    - avformat/asfdec: Fix DoS due to lack of eof check. (CVE-2017-14057)
    - avformat/hls: Fix DoS due to infinite loop. (CVE-2017-14058)
    - avformat/cinedec: Fix DoS due to lack of eof check. (CVE-2017-14059)
    - avformat/mxfdec: Fix Sign error. (CVE-2017-14169)
    - avformat/mxfdec: Fix DoS issues. (CVE-2017-14170)
    - avformat/nsvdec: Fix DoS due to lack of eof check. (CVE-2017-14171)
    - avformat/mov: Fix DoS. (CVE-2017-14222)
    - avformat/asfdec: Fix DoS. (CVE-2017-14223)
    - ffprobe: Fix null pointer dereference with color primaries.
      (CVE-2017-14225)
    - avformat/rtpdec_h264: Fix heap-buffer-overflow. (CVE-2017-14767)

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 09 Oct 2017 18:57:17 +0200

## ffmpeg 3.2.9

=== debian/changelog ===
ffmpeg (7:3.2.9-1~deb9u1) stretch-security; urgency=medium

  * New upstream release.
    - avcodec/x86/lossless_videoencdsp: Fix out of array access.
      (CVE-2017-15186)
    - avcodec/ffv1dec: Fix out of array read in slice counting.
      (CVE-2017-15672)
  * debian/patches: avcodec/vc2enc_dwt: Fix out of bounds read.
    (CVE-2017-16840)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 26 Nov 2017 21:29:26 +0100

## ffmpeg 3.2.10

=== debian/changelog ===
ffmpeg (7:3.2.10-1~deb9u1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Merge jessie specific changes:
    - Build-depend on yasm to work around nasm issues in jessie.
    - Disable building with libebur128 because jessie's version breaks the
      build.
    - Build-depend on libchromaprint-dev from jessie-backports.
    - Disable OCR with Tesseract because it is missing the pkg-config file on
      jessie.
    - Omit -fstack-protector-strong from used CFLAGS, FFmpeg already sets
      -fstack-protector-all.
    - Use GCC 4.8 on i386 instead of disabling PIE.
    - Revert switch from libmodplug to libopenmpt because libopenmpt is not
      available in jessie-backports yet.

 -- James Cowgill <jcowgill@debian.org>  Sat, 10 Feb 2018 00:45:48 +0000

ffmpeg (7:3.2.10-1~deb9u1) stretch-security; urgency=medium

  * New upstream release.
    - avcodec/x86/mpegvideodsp: Fix signedness bug in need_emu.
      (CVE-2017-17081)
    - avformat/libssh: check the user provided a password before trying to
      use it. (Closes: #886912)
  * debian/patches:
    - Drop CVE-2017-16840 patch - applied upstream.

 -- James Cowgill <jcowgill@debian.org>  Fri, 26 Jan 2018 09:45:14 +0000

## ffmpeg 3.2.11

=== debian/changelog ===
ffmpeg (7:3.2.11-1~deb9u1) stretch-security; urgency=medium

  * New upstream release.
    - avfilter/vf_transpose: Fix used plane count. (CVE-2018-6392)
    - avcodec/utvideodec: Fix bytes left check in decode_frame().
      (CVE-2018-6621)
    - avcodec/utvideodec: Check subsample factors. (CVE-2018-7557)
    - avcodec/utvideodec: Set pro flag based on fourcc. (CVE-2018-10001)
    - avcodec/mpeg4videoenc: Use 64 bit for times in
      mpeg4_encode_gop_header(). (CVE-2018-12458)
    - avformat/movenc: Do not pass AVCodecParameters in avpriv_request_sample.
      (CVE-2018-13300)
    - avformat/movenc: Check that frame_types other than
      EAC3_FRAME_TYPE_INDEPENDENT have a supported substream id.
      (CVE-2018-13302)
  * debian/control:
    - Add Breaks on vokoscreen << 2.2.0 to libav-tools. (Closes: #864917)

 -- James Cowgill <jcowgill@debian.org>  Fri, 13 Jul 2018 23:29:52 +0100

## ffmpeg 3.2.12

=== debian/changelog ===
ffmpeg (7:3.2.12-1~deb9u1) stretch-security; urgency=medium

  * New upstream release.
    - avformat/movenc: Write version 2 of audio atom if channels is not known.
      (CVE-2018-14395)
    - avcodec/imgconvert: fix possible null pointer dereference.
      (Closes: #904123)

 -- James Cowgill <jcowgill@debian.org>  Sat, 28 Jul 2018 16:27:42 +0800

=== debian/rules ===
--- 
+++ 
@@ -13,9 +13,6 @@
 
 # Ubuntu ld adds -Bsymbolic-functions by default, but that prevents FFmpeg from building.
 export DEB_LDFLAGS_MAINT_STRIP=-Wl,-Bsymbolic-functions
-
-# Hardened toolchain already adds -fstack-protector-all and -fstack-protector-strong is not supported by Jessie's gcc-4.8
-export DEB_CFLAGS_MAINT_STRIP=-fstack-protector-strong
 
 # Package name for the extra flavor.
 EXTRA_PKGS := $(shell sed -nr 's/^Package:[[:space:]]*(.*extra[0-9]+)[[:space:]]*$$/\1/p' debian/control)
@@ -31,9 +28,9 @@
 #   --enable-libilbc                (see #675959 for the RFP bug)
 #   --enable-libkvazaar
 #   --enable-libmfx
+#   --enable-libmodplug             (see #849840: replaced with libopenmpt)
 #   --enable-libnut
 #   --enable-libopenh264
-#   --enable-libopenmpt
 #   --enable-libschroedinger        (see #845037: removal due to security issues)
 #   --enable-libutvideo
 #   --enable-libvidstab             (see #709193 for the RFP bug)
@@ -60,16 +57,16 @@
 	--enable-libbs2b \
 	--enable-libcaca \
 	--enable-libcdio \
-	--disable-libebur128 \
+	--enable-libebur128 \
 	--enable-libflite \
 	--enable-libfontconfig \
 	--enable-libfreetype \
 	--enable-libfribidi \
 	--enable-libgme \
 	--enable-libgsm \
-	--enable-libmodplug \
 	--enable-libmp3lame \
 	--enable-libopenjpeg \
+	--enable-libopenmpt \
 	--enable-libopus \
 	--enable-libpulse \
 	--enable-librubberband \
@@ -103,7 +100,7 @@
 	--disable-programs \
 	--enable-libopencore_amrnb \
 	--enable-libopencore_amrwb \
-	--disable-libtesseract \
+	--enable-libtesseract \
 	--enable-libvo_amrwbenc
 
 # The static libraries should not be built with PIC.
@@ -114,12 +111,6 @@
 # Disable optimizations if requested.
 ifneq (,$(filter $(DEB_BUILD_OPTIONS),noopt))
 	CONFIG += --disable-optimizations
-endif
-
-# Compilation with PIE fails on i386 due to some ASM code with GCC 4.9
-ifneq (,$(filter $(DEB_HOST_ARCH),i386))
-	CC := gcc-4.8
-	CXX := g++-4.8
 endif
 
 # Respect CC/CXX from the environment, if they differ from the default.
@@ -225,3 +216,10 @@
 			subdir=`[ "$$flavor" = "extra" ] && echo "debian/standard/" || echo "debian/altivec/"`; \
 			for dir in `cd ./$$subdir; find libavcodec libavdevice libavfilter libavformat libavresample libavutil libpostproc libswscale libswresample -type d`; do \
 				mkdir -p debian/"$$flavor"/"$$dir"; \
+				echo "$$subdir$$dir"/*.o | grep -q '*' || cp "$$subdir$$dir"/*.o debian/"$$flavor"/"$$dir"; \
+			done; \
+			rm debian/"$$flavor"/libavcodec/allcodecs.o; \
+			rm debian/"$$flavor"/libavfilter/allfilters.o; \
+		fi; \
+		if [ "$$flavor" = "standard" ]; then \
+			$(MAKE) -C debian/standard tools/qt-faststart; \

## ffmpeg 3.2.14

=== debian/changelog ===
ffmpeg (7:3.2.14-1~deb9u1) stretch-security; urgency=medium

  * New upstream release(s).
    - avcodec/htmlsubtitles: Fixes denial of service due to use
      of sscanf in inner loop for handling braces (CVE-2019-9718)
    - avcodec/hevcdec: Avoid only partly skiping duplicate first slices
      (CVE-2019-11338)
    - avformat/asfdec_o: Check size_bmp more fully (CVE-2018-1999011)
    - avformat/flvenc: Check audio packet size (CVE-2018-15822)

 -- Moritz Mühlenhoff <jmm@debian.org>  Wed, 22 May 2019 00:04:41 +0200

=== debian/control ===
--- 
+++ 
@@ -26,9 +26,6 @@
  flite1-dev,
 # --enable-frei0r
  frei0r-plugins-dev <!stage1>,
-# GCC 4.9 breaks the build with PIE enabled on i386
- gcc-4.8 [i386],
- g++-4.8 [i386],
 # --enable-ladspa
  ladspa-sdk,
 # --enable-libass
@@ -44,13 +41,13 @@
 # --enable-libcdio
  libcdio-paranoia-dev,
 # --enable-libchromaprint
- libchromaprint-dev (>= 1.3.2-2~) <!stage1>,
+ libchromaprint-dev <!stage1>,
 # autodetected 'crystalhd'
  libcrystalhd-dev [amd64 i386],
 # --enable-libdc1394
  libdc1394-22-dev [linux-any],
 # --enable-libebur128
-# libebur128-dev,
+ libebur128-dev,
 # --enable-libfontconfig
  libfontconfig1-dev,
 # --enable-libfreetype
@@ -75,8 +72,6 @@
  libleptonica-dev,
 # autodetected for the tiff decoder
  liblzma-dev,
-# --enable-libmodplug
- libmodplug-dev,
 # --enable-libmp3lame
  libmp3lame-dev,
 # --enable-netcdf
@@ -93,6 +88,8 @@
  libopencv-imgproc-dev <!stage1>,
 # --enable-libopenjpeg
  libopenjp2-7-dev,
+# --enable-libopenmpt
+ libopenmpt-dev,
 # --enable-libopus
  libopus-dev,
 # --enable-libpulse
@@ -164,7 +161,7 @@
 # HTML documentation
  texinfo,
 # assembler optimizations
- yasm,
+ nasm,
 # autodetected zlib
  zlib1g-dev
 
@@ -376,3 +373,4 @@
  ${misc:Depends}
 Description: FFmpeg library containing media filters - runtime files
  FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
+ mux, demux, stream, filter and play pretty much anything that humans and
